#######################################
# Skrypt PowerShella
# (C) dr Holger Schwichtenberg
########################################

"informacje o właścicielu:"
$a = Get-Acl j:\projekty
$a.Owner
$a.GetOwner([System.Security.Principal.NTAccount]).Value
$a.GetOwner([System.Security.Principal.SecurityIdentifier]).Value

# Konwersja nazwy konta na identyfikator SID
$konto = $a.GetOwner([System.Security.Principal.NTAccount])
$konto.Translate([system.security.principal.securityidentifier]).value

# Konwersja identyfikatora SID na nazwę konta
$konto = $a.GetOwner([System.Security.Principal.SecurityIdentifier])
$konto.Translate([system.security.principal.NTAccount]).value



$konto = new-object system.security.principal.ntaccount("itv\hs")
$SID = $konto.Translate([system.security.principal.securityidentifier]).value
$SID

# --- Przypisywanie właściciela
$a = Get-Acl "j:\projekty"
$konto = new-object system.security.principal.ntaccount("itv\hs")
$a.SetOwner($konto)
